import java.util.*;

public class HashStringSet {
    private String[] data;
    private int size;

    public HashStringSet() {
        data = new String[10];
    }

    public void add(String s) {
        if (!contains(s)) {
            int index = hashIndex(s);
            data[index] = s;
            size++;
        }
    }

    public void remove(String s) {
        if (contains(s)) {
            int index = hashIndex(s);
            data[index] = null;
            size--;
        }
    }

    public boolean contains(String s) {
        int index = hashIndex(s);
        return data[index] != null;
    }

    private int hashIndex(String s) {
        return 0;
    }

    public int size() {
        return size;
    }

    public boolean isEmpty() {
        return size == 0;
    }

    public String toString() {
        return Arrays.toString(data);
    }
}
